﻿using DevExpress.XtraEditors;
using DevExpress.XtraPrinting.BarCode;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            QRCodeGenerator qrCodeGenerator = new QRCodeGenerator();

            qrCodeGenerator.CompactionMode       = QRCodeCompactionMode.AlphaNumeric;
            qrCodeGenerator.ErrorCorrectionLevel = QRCodeErrorCorrectionLevel.H;
            qrCodeGenerator.Version              = QRCodeVersion.AutoVersion;

            this.barCodeControl.AutoModule = true;
            this.barCodeControl.Symbology  = qrCodeGenerator;
            this.barCodeControl.ShowText   = false;
            this.barCodeControl.Text       = "1234567890";
        }

        #endregion
    }
}